    001    /* ========================================================================
    002     * JCommon : a free general purpose class library for the Java(tm) platform
    003     * ========================================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jcommon/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * --------------------
    028     * L1R3ButtonPanel.java
    029     * --------------------
    030     * (C) Copyright 2000-2004, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: L1R3ButtonPanel.java,v 1.5 2007/11/02 17:50:36 taqua Exp $
    036     *
    037     * Changes (from 26-Oct-2001)
    038     * --------------------------
    039     * 26-Oct-2001 : Changed package to com.jrefinery.ui.* (DG);
    040     * 26-Jun-2002 : Removed unnecessary import (DG);
    041     * 14-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    042     *
    043     */
    044
    045    package org.jfree.ui;
    046
    047    import java.awt.BorderLayout;
    048    import javax.swing.JButton;
    049    import javax.swing.JPanel;
    050
    051    /**
    052     * A 'ready-made' panel that has one button on the left and three buttons on the right - nested
    053     * panels and layout managers take care of resizing.
    054     *
    055     * @author David Gilbert
    056     */
    057    public class L1R3ButtonPanel extends JPanel {
    058
    059        /** The left button. */
    060        private JButton left;
    061
    062        /** The first button on the right of the panel. */
    063        private JButton right1;
    064
    065        /** The second button on the right of the panel. */
    066        private JButton right2;
    067
    068        /** The third button on the right of the panel. */
    069        private JButton right3;
    070
    071        /**
    072         * Standard constructor - creates panel with the specified button labels.
    073         *
    074         * @param label1  the label for button 1.
    075         * @param label2  the label for button 2.
    076         * @param label3  the label for button 3.
    077         * @param label4  the label for button 4.
    078         */
    079        public L1R3ButtonPanel(final String label1, final String label2, final String label3, final String label4) {
    080
    081            setLayout(new BorderLayout());
    082
    083            // create the pieces...
    084            final JPanel panel = new JPanel(new BorderLayout());
    085            final JPanel panel2 = new JPanel(new BorderLayout());
    086            this.left = new JButton(label1);
    087            this.right1 = new JButton(label2);
    088            this.right2 = new JButton(label3);
    089            this.right3 = new JButton(label4);
    090
    091            // ...and put them together
    092            panel.add(this.left, BorderLayout.WEST);
    093            panel2.add(this.right1, BorderLayout.EAST);
    094            panel.add(panel2, BorderLayout.CENTER);
    095            panel.add(this.right2, BorderLayout.EAST);
    096            add(panel, BorderLayout.CENTER);
    097            add(this.right3, BorderLayout.EAST);
    098
    099        }
    100
    101        /**
    102         * Returns a reference to button 1, allowing the caller to set labels, action-listeners etc.
    103         *
    104         * @return the left button.
    105         */
    106        public JButton getLeftButton() {
    107            return this.left;
    108        }
    109
    110        /**
    111         * Returns a reference to button 2, allowing the caller to set labels, action-listeners etc.
    112         *
    113         * @return the right button 1.
    114         */
    115        public JButton getRightButton1() {
    116            return this.right1;
    117        }
    118
    119        /**
    120         * Returns a reference to button 3, allowing the caller to set labels, action-listeners etc.
    121         *
    122         * @return the right button 2.
    123         */
    124        public JButton getRightButton2() {
    125            return this.right2;
    126        }
    127
    128        /**
    129         * Returns a reference to button 4, allowing the caller to set labels, action-listeners etc.
    130         *
    131         * @return the right button 3.
    132         */
    133        public JButton getRightButton3() {
    134            return this.right3;
    135        }
    136
    137    }